LayoutService
Create Layout Share Link
Create a share token for a layout template.
Method
POST
Path
/v1/layouts/share-links
Visibility
Authentication
Session token or API key
MFA Requirement
Not required
POST
/v1/layouts/share-links Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/v1/layouts/share-links' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"expiresAtMs": "1",
"layoutId": "1"
}'Responses
{
"ownerId": "1",
"templateId": "1",
"token": "share_01J5EXAMPLE000000000",
"version": 1
} expiresAtMs string (int64)
Expiration time in milliseconds since epoch (UTC); 0 means the link does not expire.
layoutId string (int64)
Saved layout identifier to share.
token string
Opaque share token that can resolve the layout snapshot.
Example
share_01J5EXAMPLE000000000 ownerId string (fixed64)
Viewer that owns the shared template.
Example
1 templateId string (fixed64)
Template identifier created or reused for this layout.
Example
1 version integer (int32)
Immutable template version captured by this share link.
Example
1| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |